Results 1 to 6 of 6

Thread: 12.04 and Ricoh Aficio 220

  1. #1
    Join Date
    Nov 2009
    Beans
    22

    Unhappy 12.04 and Ricoh Aficio 220

    Before upgrading from 11.10 to 12.04 I used to print to a Ricoh Aficio 220 network printer (via a Micronet SP756 print server).

    Now, when I go to printer's properties I see this:/v
    "Inactiva - /usr/lib/cups/backend/lpd failed"

    In status.

    Here is the last part of var/log/cups/error_log:

    Code:
    D [08/May/2012:13:26:51 -0300] [Job 160] Closing foomatic-rip.
    D [08/May/2012:13:26:51 -0300] [Job 160] Connecting to 192.168.0.10:515 for printer 
    D [08/May/2012:13:26:51 -0300] [Job 160] Conectando a la impresora.
    D [08/May/2012:13:26:51 -0300] [Job 160] Set job-printer-state-message to "Conectando a la impresora.", current level=INFO
    D [08/May/2012:13:26:51 -0300] [Job 160] STATE: -connecting-to-device
    D [08/May/2012:13:26:51 -0300] [Job 160] Conectado a la impresora.
    D [08/May/2012:13:26:51 -0300] [Job 160] Set job-printer-state-message to "Conectado a la impresora.", current level=INFO
    D [08/May/2012:13:26:51 -0300] [Job 160] Connected to 192.168.0.10:515 (local port 1023)...
    D [08/May/2012:13:26:51 -0300] [Job 160] lpd_command 02 
    D [08/May/2012:13:26:51 -0300] [Job 160] Sending command string (2 bytes)...
    D [08/May/2012:13:26:51 -0300] [Job 160] Reading command status...
    D [08/May/2012:13:26:51 -0300] [Job 160] Set job-printer-state-message to "La impresora no respondió tras 300 segundos.", current level=WARN
    D [08/May/2012:13:26:51 -0300] [Job 160] lpd_command returning 2
    D [08/May/2012:13:26:51 -0300] [Job 160] Backend returned status 1 (failed)
    D [08/May/2012:13:26:51 -0300] [Job 160] End of messages
    D [08/May/2012:13:26:51 -0300] [Job 160] printer-state=3(idle)
    D [08/May/2012:13:26:51 -0300] [Job 160] printer-state-message="/usr/lib/cups/backend/lpd failed"
    D [08/May/2012:13:26:51 -0300] [Job 160] printer-state-reasons=none
    I'm using the driver "Ricoh Aficio 220 Foomatic/pxlmono (recommended)".

    Does anyone experienced the same problem?.

  2. #2
    Join Date
    Nov 2009
    Beans
    22

    Re: 12.04 and Ricoh Aficio 220

    I tried using the Generic Postscript and Generic PCL 5 Printer - CUPS+Gutenprint v5.2.8-pre1, but I get the same "/usr/lib/cups/backend/lpd failed" error.

    I can print to the same printer using 11.10.

    Does anyone faced the same problem?.

  3. #3
    Join Date
    Nov 2009
    Beans
    22

    Re: 12.04 and Ricoh Aficio 220

    Any hint?.

  4. #4
    Join Date
    Aug 2012
    Beans
    1

    Re: 12.04 and Ricoh Aficio 220

    Hi martinrame,

    I am having a similar problems with my printers. Were you able to find a solution?

    I have access to printers on a central server via the LPD protocal. On the print server, the printers are working, I can print from other computers to the LPD queue. But when using my laptop with newly upgraded 12.04, I get the message "/usr/lib/cups/backend/lpd failed".It was working fine in 11.10, and I made no modifications after the upgrade. We also have a Ricoh Aficio, but I experience the same problem with HP printers.

  5. #5
    Join Date
    Nov 2009
    Beans
    22

    Re: 12.04 and Ricoh Aficio 220

    Quote Originally Posted by martinkarlweber View Post
    Hi martinrame,

    I am having a similar problems with my printers. Were you able to find a solution?

    I have access to printers on a central server via the LPD protocal. On the print server, the printers are working, I can print from other computers to the LPD queue. But when using my laptop with newly upgraded 12.04, I get the message "/usr/lib/cups/backend/lpd failed".It was working fine in 11.10, and I made no modifications after the upgrade. We also have a Ricoh Aficio, but I experience the same problem with HP printers.
    It worked until last week, aparently a cups/ghostscript update or something, but now it dowesn't work again.

    The message I'm getting is "/usr/lib/cups/filter/foomatic-rip failed".

    Does anyone faced the same problem?.

    I'm still using 12.04 - 64bits.

  6. #6
    Join Date
    Nov 2009
    Beans
    22

    Re: 12.04 and Ricoh Aficio 220

    Whell, I've fixed the issue.

    First tried "ghostscript --version", and its result was:

    ghostscript: error while loading shared libraries: libijs-0.35.so: cannot open shared object file: No such file or directory

    So, I did "sudo apt-get remove libijs-0.35" to remove libijs. Then, as it deinstalled ghostscript and cups, I did " sudo apt-get install libijs-0.35 ghostscript cups cups-filters".

    Now everything works as expected.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •